<?php
session_start() ;
if(!session_is_registered("login_true_admin")){
echo "<meta http-equiv='refresh' content='0; url = index.php'>" ;
exit() ;
}
if(isset($ok)&&session_is_registered("status")){
include("../config.inc.php") ;
mysql_select_db($db) ;
$sql = "select * from admin_member where user='$login_true_admin' and password='$old_pwd'" ;
$result = mysql_query($sql) ;
$row = mysql_num_rows($result) ;
if($row<=0){
$status = "<center><font face='MS Sans Serif' size='3' color='red'><b>รหัสผ่านไม่ถูกต้องครับ</b></font></center>" ;
echo "<meta http-equiv='refresh' content='2'>" ;
session_unregister("status") ;

}
else {
if($new_pwd1==$new_pwd2){
$sql = "update admin_member set  password='$new_pwd1' where user = '$login_true_admin'" ;
$result = mysql_query($sql) or die("ERR PROGRAME") ;
if($result){
$status = "<center><font face='MS Sans Serif' size='3' color='red'><b>เปลี่ยนรหัสผ่านเรียนร้อยแล้วครับ</b></font></center>";
}
}
else{
$status = "<center><font face='MS Sans Serif' size='3' color='red'><b>กรุณายืนยันรหัสผ่านใหม่ให้ถูกต้องด้วยครับ</b></font></center>";
echo "<meta http-equiv='refresh' content='3'>" ;

}
}
}
else {
$status = NULL ;
session_register("status") ;
}
?>

<html>
<head>
<title>เปลี่ยนรหัสผ่าน</title>
<meta http-equiv="Content-Type" content="text/html; charset=windows-874">
</head>

<body bgcolor="#000000" link="#FFCC00" vlink="#FFFF00" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<p align="center">&nbsp;</p>
<p align="center"><img src="../image/admin.gif" width="200" height="50"></p>
<p align="center"><font size="4" face="MS Sans Serif, Tahoma, sans-serif" ><strong>ระบบเปลี่ยนรหัสผ่าน<br>
  </strong></font><br>
  <?php echo $status ; ?></p>
<form action="<?php echo $PHP_SELF ; ?>" method="post" name="checkForm" onSubmit="return check()">
  <table width="290" border="0" align="center" cellpadding="2" cellspacing="1" bgcolor="#9966FF">
    <tr bgcolor="#E8F3FF"> 
      <td bgcolor="#FFFF99"><font color="#000000" size="3" face="MS Sans Serif, Tahoma, sans-serif">รหัสผ่านเดิม</font></td>
      <td bgcolor="#FFFF99"> 
        <input type="password" name="old_pwd">
      </td>
    </tr>
    <tr bgcolor="#E8F3FF"> 
      <td bgcolor="#FFFF99"><font color="#000000" size="3" face="MS Sans Serif, Tahoma, sans-serif">รหัสผ่านใหม่</font></td>
      <td bgcolor="#FFFF99"> 
        <input type="password" name="new_pwd1">
      </td>
    </tr>
    <tr bgcolor="#E8F3FF"> 
      <td bgcolor="#FFFF99"><font color="#000000" size="3" face="MS Sans Serif, Tahoma, sans-serif">ยืนยันรหัสผ่านใหม่</font></td>
      <td bgcolor="#FFFF99"> 
        <input type="password" name="new_pwd2">
      </td>
    </tr>
    <tr bgcolor="#CC99FF"> 
      <td colspan="2" bgcolor="#FF9900"> 
        <div align="center"> 
          <input type="submit" name="Submit" value=" ยืนยัน ">
          &nbsp; 
          <input type="reset" name="Submit2" value=" ยกเลิก ">
          <input name="ok" type="hidden" id="ok" value="ok">
      </div></td>
    </tr>
  </table>
  <script language = "javascript">
function check(){
var v1 = document.checkForm.old_pwd.value;
var v2 = document.checkForm.new_pwd1.value;
var v3 = document.checkForm.new_pwd2.value;

if(v1.length==0){
alert("กรุณากรอกรหัสผ่านเก่าอีกครั้งด้วยครับ");
document.checkForm.old_pwd.focus();
return false ;
}
else if(v2.length==0){
alert("กรุณากรอกรหัสผ่านใหม่ด้วยครับ");
document.checkForm.new_pwd1.focus();
return false ;
}
else if(v3.length==0){
alert("กรุณายืนยันรหัสผ่านใหม่ด้วยครับ");
document.checkForm.new_pwd2.focus();
return false ;
}

else 
return true ;
}
</script>
</form>
<p align="center"> <font size="3" face="MS Sans Serif, Tahoma, sans-serif"><a href="menu.php">กลับสู่หน้าเมนู</a><strong>
  </strong> <font size="4"> | </font><font size="5"> </font><a href="logout.php">ออกจากระบบ 
  </a></font></p>
<p align="center">&nbsp;</p>
</body>
</html>

